--- title: "View number of domain queries" slug: "domain-query-countview" tags: ["Global Traffic Manager"] updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/domain-query-countview" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # View number of domain queries Available in Classic and VPC View the number of queries for all or a specific domain (profile) over a specified time interval. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /gtm/v1/monitoring/query-counts | ### Request headers For information about the headers common to all Monitoring APIs, see [Monitoring API request headers](/docs/en/monitoring-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `baseTimeUnit` | String | Required | Time interval - `MINUTE_1` \| `MINUTE_5` \| `MINUTE_30` \| `HOUR_3` \| `DAY_1` - `MINUTE_1`: 1 minute - `MINUTE_5`: 5 minutes - `MINUTE_30`: 30 minutes - `HOUR_3`: 3 hours - `DAY_1`: 1 day | | `domainId` | Integer | Optional | Profile ID - See [View profile](/docs/en/globaltrafficmanager-profile-view) | ### Request example The following is a sample request. ``` curl --location --request GET 'https://globaltrafficmanager.apigw.ntruss.com/gtm/v1/monitoring/query-counts?baseTimeUnit=DAY_1' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [DomainQueryResponse](/docs/en/common-apidatatype-domainqueryresponse#%ED%95%84%EB%93%9C) for the response body. ### Response status codes For information about the HTTP status codes common to all Monitoring APIs, see [Monitoring API response status codes](/docs/en/monitoring-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` [ { "queryCount": 0, "baseTime": 1653663600 }, { "queryCount": 0, "baseTime": 1653750000 } ] ``` ### Error code example The following is a sample error code. ``` { "result": "FAIL", "error": { "errorCode": "05X000", "message": "Invalid value.
Hover your mouse over the displayed area to see the details in a tooltip.", "devMessage": "Invalid value.", "moreInfo": { "validationInfo": [ { "fieldPath": "domainId", "msg": "You don't have permissions for the domain or the domain doesn't exist." } ], "timestamp": "2022-11-16T10:28:18.627+09:00" } } } ```